#!/bin/sh
set -e

dir=${DIR:-/srv}
pid=/run/mmmonit.pid
usr=${USER:-nobody}

case $1 in
  start)
      chown -R ${usr}:${usr} ${dir}
      daemonize -c ${dir} -p ${pid} -l ${pid} -u ${usr} /usr/local/bin/syslogize /usr/bin/mmmonit -b :: -p 3000
    ;;
  stop)
    test -f ${pid} || exit 0

    cat ${pid} | xargs -r kill
  ;;
esac
